'Programa para el estudio de sistemas caticos
SCREEN 12

'Constantes comunes
'**********************************
gradosx = 10  'Angulo del eje de coordenadas x
gradosy = 10  'Angulo del eje de coordenadas y
'Se pasan ambos ngulos a radianes
alfa = gradosx * 3.14 / 180
beta = gradosy * 3.14 / 180
f = .01        'Incremento de las ecuaciones diferenciales en cada vuelta
'**********************************
INPUT "Que ecuacin desea obtener (1-3)"; numero%
CLS
'Se introducen los valores de las constantes para cada ecuacin
SELECT CASE numero%
        CASE 1
                'Ecuacin de Lorenz
                a = 10: b = 17: c = 1: lupa = 8
                x = 1: y = 1: z = 7
        CASE 2
                'Ecuacin de Rssler
                a = .32: b = .3: c = 4.5: lupa = 20
                x = 1: y = 1: z = 1
        CASE 3
                'Ecuacin depredador-presas
                a = 1: b = 12: c = 1.5: d = 1: lupa = 280
                x = .05: y = .05: z = .01
END SELECT
'Se imprimen los ejes de coordenadas
LINE (320, 0)-(320, 480)
LINE (320 - 320 * COS(alfa), 240 + 320 * SIN(alfa))-(320 + 320 * COS(alfa), 240 - 320 * SIN(alfa))
LINE (320 + 320 * COS(beta), 240 + 320 * SIN(beta))-(320 - 320 * COS(beta), 240 - 320 * SIN(beta))

'Bucle principal
tecla$ = ""
DO WHILE tecla$ = ""
tecla$ = INKEY$
'Se introducen las tres ecuaciones
SELECT CASE numero%
       CASE 1
                'Ecuacin de Lorenz
                x = x + a * (y - x) * f
                y = y + (b * x - y - x * z) * f
                z = z + (x * y - c * z) * f
        CASE 2
                'Ecuacin de Rssler
                x = x + (-y - z) * f
                y = y + (x + a * y) * f
                z = z + (b * x - c * z + x * z) * f
        CASE 3
                'Ecuacin de depredador-presas
                x = x + x * (1 - x - a * y - b * z) * f
                y = y + y * (1 - y - c * x - d * z) * f
                z = z + z * (-1 + b * x / 2 + d * y / 2) * f
END SELECT
'Se imprimen las curvas
PSET (320 - lupa * (y * COS(alfa) + x * COS(beta)), 240 - lupa * (z + y * SIN(alfa) + x * SIN(beta)))

LOOP

