@echo off

rem Accept one command-line parameter, specifying which frame number
rem to begin the loop with.  If no parameter is supplied, start with
rem frame 0.

 if '%1'=='' goto initfr
 SET FRAME=%1
 goto setlim
:initfr
 SET FRAME=0

rem Accept a second command-line parameter, specifying a total number
rem of frames to generate.

:setlim
 if '%2'=='' goto initlim
 SET LIMIT=%2
 goto loop
:initlim
 SET LIMIT=80

rem Execute the following lines for every frame in the animation

:loop

rem if all of the frames have been processed, exit the batch file

  if '%FRAME%'=='%LIMIT%' goto loopdone

rem create a file called FRMINFO.INC containing the Polyray animation settings

  echo total_frames %LIMIT% >frminfo.inc
  echo start_frame %FRAME% >>frminfo.inc
  echo end_frame %FRAME% >>frminfo.inc

rem Call SP

  @echo on
  sp MTIE1.pth /F%FRAME% /T%LIMIT%  /Q
  sp MTIE4.pth /F%FRAME% /T%LIMIT%  /Q
   sp mlanza1.pth /F%FRAME% /T%LIMIT%  /Q
  @echo off

rem Call Polyray

  @echo on
  polyray TIEa.pi -V 1 -r 1 -J
  @echo off

rem increment the frame counter

  add1 FRAME
  goto loop
:loopdone
